Skip to main content
You are viewing v3 of the Coralogix API. v5 is the current version. Go to the v5 reference

Get Policy by ID

GEThttps://api.coralogix.com/mgmt/openapi/3/dataplans/policies/v1/{id}

No description available

Authorizations

Authorizationstringheaderrequired
API key authentication

Request

Path Parameters

    id# stringrequired
    Example: id

Response

application/json

This data structue is obtained when retrieving a policy by its ID.

    policy#object

    A policy is a set of rules that define the behavior of the Coralogix system for a specific company.

    oneOf
    policy.companyId#int32required
    Example: 1234
    policy.createdAt#string
    Example: 2021-01-01T00:00:00.000Z
    policy.deleted#booleanrequired
    Example: false
    policy.description#string
    Example: My Policy Description
    policy.enabled#booleanrequired
    Example: true
    policy.id#stringrequired
    Example: policy_id

    Log rules for a policy.

    policy.name#stringrequired
    Example: My Policy
    policy.order#int32required
    Example: 1
    policy.priority#quota.v1.Priorityrequired

    Possible values: [PRIORITY_TYPE_UNSPECIFIED, PRIORITY_TYPE_BLOCK, PRIORITY_TYPE_LOW, PRIORITY_TYPE_MEDIUM, PRIORITY_TYPE_HIGH]

    policy.updatedAt#string
    Example: 2021-01-01T00:00:00.000Z